@import "../../vars";

.button {
  font-family: "MarkProBold", Helvetica, Arial, sans-serif;
  font-weight: 700;
  line-height: normal;
  letter-spacing: normal;
  border: 1px solid transparent;
  cursor: pointer;
  min-width: 100px;
  display: inline-block;
  box-sizing: content-box;
  transition:
    color ease-in-out 0.1s,
    background-color ease-in-out 0.1s,
    box-shadow ease-in-out 0.1s,
    border-color ease-in-out 0.1s,
    opacity ease-in-out 0.1s,
    height ease-in-out 0.1s;

  &:hover,
  &:active {
    outline: none;
    text-decoration: none;
  }

  &:disabled,
  &.disabled {
    cursor: not-allowed;
    pointer-events: none;
  }
}

.button.rounded {
  border-radius: 4px;
}

.button.oval {
  border-radius: 20px;
}

.button.xs {
  font-family: "MarkPro", Helvetica, Arial, sans-serif;
  font-weight: normal;
  font-size: 18px;
  line-height: 24px;
  padding: 3px 12px;
}

.button.s {
  font-family: "MarkPro", Helvetica, Arial, sans-serif;
  font-weight: normal;
  font-size: 16px;
  line-height: 16px;
  padding: 10px 35px;
  border-radius: 50px;
}

.button.m {
  font-size: 16px;
  padding: 13px 35px;
  border-radius: 50px;
}

.button.l {
  font-size: 18px;
  line-height: 18px;
  padding: 17px 35px;
  border-radius: 40px;
}

.button.sharp {
  border-radius: 0;
}

.button.primary {
  background-color: $marketplaceColor;
  color: $matterColorLight;

  &:hover,
  &:focus,
  &:disabled,
  &.disabled {
    background-color: $marketplaceColorDark;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1);
  }
}

.button.secondary {
  background-color: $matterColorLight;
  color: $matterColor;
  border: 1px solid $matterColorNegative;

  &:hover,
  &:focus {
    border-color: $matterColorAnti;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1);
  }

  &:disabled,
  &.disabled {
    opacity: 0.5;
  }
}

.button.outlined {
  background-color: transparent;
  color: $matterColorNegative;
  border: 1px solid $matterColorNegative;

  &:hover,
  &:focus {
    color: $matterColor;
    border-color: $matterColor;
    background-color: $matterColorNegative;
  }

  &:disabled,
  &.disabled {
    opacity: 0.5;
  }
}

.button.red {
  background-color: $attentionColor;
  color: $matterColorLight;

  &:hover,
  &:active,
  &:disabled,
  &.disabled {
    background-color: $attentionColorHover;
  }
}

.button.green {
  background-color: $accentColorGreen;
  color: $matterColorLight;

  &:hover,
  &:active,
  &:disabled,
  &.disabled {
    background-color: $accentColorGreenHover;
  }
}

.button.blue {
  background-color: $accentColorBlue;
  color: $matterColorLight;

  &:hover,
  &:active,
  &:disabled,
  &.disabled {
    background-color: $accentColorBlueHover;
  }
}

.button.white {
  background-color: $matterColorLight;
  color: $matterColor;

  &:disabled,
  &.disabled {
    opacity: 0.5;
  }
}

.button.inline {
  font-family: "MarkProBold", Helvetica, Arial, sans-serif;
  font-weight: 700;
  padding: 0;
  background-color: transparent;

  &.black {
    color: $marketplaceTextColor;

    &:hover,
    &:active {
      color: $marketplaceColorDark;
    }
  }

  &.blue {
    color: $accentColorBlue;

    &:hover,
    &:active {
      color: $accentColorBlueHover;
    }
  }

  &.white {
    color: #ffffff;
  }

  &:hover {
    background-color: transparent;
  }

  &:disabled,
  &.disabled {
    opacity: 0.5;
  }
}

/* Icon */
.arrow {
  width: 16px;
  height: 12px;
  margin-left: 8px;
  transform: translateY(2px);
  transition: stroke ease-in-out 0.1s;

  &.black {
    stroke: $marketplaceTextColor;
  }

  &.blue {
    stroke: $accentColorBlue;
  }
}

/* Misc */
.button.block {
  width: 100%;
}

.button.link {
  text-decoration: none;
  text-align: center;
}

.button.linkUnderlined {
  text-decoration: underline;
}

.button.textLight {
  font-family: $fontLight;
}
